Skip to main content

Get a lead by ID

GEThttps://api.propexo.com/v1/leads/:id

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

id stringrequired

The ID of the resource.

Query parameters​

order-by string

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

Default value: created_at:desc
updated_at_gte string | null

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_lte string | null

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

last_seen_gte string | null

Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

last_seen_lte string | null

Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offset integer | null

Possible values: >= 0

Can be used for paginating results

Default value: 0
limit integer | null

Possible values: >= 0 and <= 250

A number between 1 and 250 to determine the number of results to return in a single query

Default value: 100

Response​

Successful response

    meta objectrequired
    offsetinteger

    The offset of the first result

    Possible values: >= 0

    Example: 0
    limitinteger

    The number of results to return

    Possible values: >= 0 and <= 250

    Example: 100
    orderBy object[]required

    The order of the results

  • Array [
  • object
  • ]
  • hasMoreboolean | nullnullable

    Whether there are more results

    totalinteger

    The total number of results

    Possible values: >= 0

    Example: 1000
    results objectrequired
    idstringrequired

    The Propexo unique identifier for the lead

    Example: clwktsp9v000008l31iv218hn
    created_atstringrequired

    The date record first entered Propexo

    Example: 2024-03-21T15:38:08.337Z
    updated_atstringrequired

    The date record was last updated in Propexo

    Example: 2024-03-22T10:59:45.119Z
    last_seenstring | nullnullablerequired

    The date the record was last seen from the PMS

    Example: 2024-03-22T10:59:45.119Z
    x_created_atstring | nullnullablerequired

    The date the record first entered the integration vendor

    InterfaceMethod
    Prospect Management ODEProspectSearch
    Example: 2024-05-01T15:30:00.000Z
    x_guestcard_idstring | nullnullablerequired

    The external ID of the guestcard from the integration vendor

    InterfaceMethod
    Prospect Management ODEProspectSearch
    Example: 50001
    x_idstringrequired

    The external ID from the integration vendor

    InterfaceMethod
    Prospect Management ODEProspectSearch
    Example: c2xd41yifq0xgzalzmc0pxknx
    x_leasing_agent_idstring | nullnullablerequired

    The external ID of the leasing agent from the integration vendor

    InterfaceMethod
    Prospect Management ODEProspectSearch
    Example: 60001
    x_property_idstringrequired

    The external ID of the property from the integration vendor

    InterfaceMethod
    Prospect Management ODEProspectSearch
    Example: 1000001
    x_unit_idnullrequireddeprecated

    DEPRECATED: Use x_unit_id_preferred instead

    Notice

    This field will always be null for REALPAGE

    Example: null
    x_unit_id_preferrednullrequired

    The external IDs of the units from the integration vendor that the lead is interested in

    Notice

    This field will always be null for REALPAGE

    Example: null
    x_updated_atnullrequired

    The date the record was last updated in the integration vendor

    Notice

    This field will always be null for REALPAGE

    Example: null
    x_lead_source_idnullrequired

    The external ID of the lead source from the integration vendor

    Notice

    This field will always be null for REALPAGE

    Example: null
    address_1nullrequired

    The first address line associated with the lead

    Notice

    This field will always be null for REALPAGE

    Example: null
    address_2nullrequired

    The second address line associated with the lead

    Notice

    This field will always be null for REALPAGE

    Example: null
    citynullrequired

    The city associated with the lead

    Notice

    This field will always be null for REALPAGE

    Example: null
    countrynullrequired

    The country associated with the lead

    Notice

    This field will always be null for REALPAGE

    Example: null
    custom_data object | nullrequired
    object
    date_of_birthnullrequired

    The date of birth associated with the lead

    Notice

    This field will always be null for REALPAGE

    Example: null
    desired_amenitiesnullrequired

    The desired amenities associated with the lead

    Notice

    This field will always be null for REALPAGE

    Example: null
    desired_floor_plan_idstring | nullnullablerequired

    The external ID of desired floor plan associated with the lead

    InterfaceMethod
    Prospect Management ODEProspectSearch
    Example: 1
    desired_floor_plan_namenullrequired

    The desired floor plan name

    Notice

    This field will always be null for REALPAGE

    Example: null
    desired_lease_term_in_monthsstring | nullnullablerequired

    The desired lease term

    InterfaceMethod
    Prospect Management ODEProspectSearch
    Example: 12
    desired_max_rent_in_centsnumber | nullnullablerequired

    The desired maximum rent

    InterfaceMethod
    Prospect Management ODEProspectSearch
    Example: 180000
    desired_max_square_ftnullrequired

    The desired maximum square feet

    Notice

    This field will always be null for REALPAGE

    Example: null
    desired_min_rent_in_centsnumber | nullnullablerequired

    The desired minimum rent

    InterfaceMethod
    Prospect Management ODEProspectSearch
    Example: 150000
    desired_min_square_ftnullrequired

    The desired minimum square feet

    Notice

    This field will always be null for REALPAGE

    Example: null
    desired_num_bathroomsnullrequired

    The desired number of bathrooms

    Notice

    This field will always be null for REALPAGE

    Example: null
    desired_num_bedroomsnullrequired

    The desired number of bedrooms

    Notice

    This field will always be null for REALPAGE

    Example: null
    desired_unit_numbernullrequired

    The desired unit number

    Notice

    This field will always be null for REALPAGE

    Example: null
    desired_unit_typenullrequired

    The desired unit type

    Notice

    This field will always be null for REALPAGE

    Example: null
    email_1string | nullnullablerequired

    The primary email address associated with the lead

    InterfaceMethod
    Prospect Management ODEProspectSearch
    email_2nullrequired

    The secondary email address associated with the lead

    Notice

    This field will always be null for REALPAGE

    Example: null
    first_namestring | nullnullablerequired

    The first name associated with the lead

    InterfaceMethod
    Prospect Management ODEProspectSearch
    Example: Jordan
    ilsnullrequired

    The name of the Internet listing service

    Notice

    This field will always be null for REALPAGE

    Example: null
    last_namestring | nullnullablerequired

    The last name associated with the lead

    InterfaceMethod
    Prospect Management ODEProspectSearch
    Example: Hale
    lead_sourcestring | nullnullablerequired

    The lead source

    InterfaceMethod
    Prospect Management ODEProspectSearch
    Example: Apartments.com
    leasing_agentnullrequired

    The name of the leasing agent

    Notice

    This field will always be null for REALPAGE

    Example: null
    middle_namestring | nullnullablerequired

    The middle name associated with the lead

    InterfaceMethod
    Prospect Management ODEProspectSearch
    Example: A
    notesnullrequired

    Notes associated with the lead

    Notice

    This field will always be null for REALPAGE

    Example: null
    number_of_occupantsinteger | nullnullablerequired

    The number of occupants

    InterfaceMethod
    Prospect Management ODEProspectSearch
    Example: 2
    pet_detailsnullrequireddeprecated

    DEPRECATED: Use the pets array instead

    Notice

    This field will always be null for REALPAGE

    Example: null
    pets object[]required

    The pets associated with the lead

    Notice

    This field is not currently hydrated for REALPAGE

  • Array [
  • idstringrequired

    The Propexo unique identifier for the lead pet

    Example: clwktsp9v000008l31iv218hn
    created_atstringrequired

    The date record first entered Propexo

    Example: 2024-03-21T15:38:08.337Z
    updated_atstringrequired

    The date record was last updated in Propexo

    Example: 2024-03-22T10:59:45.119Z
    last_seenstring | nullnullablerequired

    The date the record was last seen from the PMS

    Example: 2024-03-22T10:59:45.119Z
    x_idstringrequired

    The external ID from the integration vendor

    age_in_yearsnumber | nullnullablerequired

    The age in years of the lead pet

    Notice

    This field is not currently hydrated for REALPAGE

    breedstring | nullnullablerequired

    The breed of the lead pet

    Notice

    This field is not currently hydrated for REALPAGE

    colorstring | nullnullablerequired

    The color of the lead pet

    Notice

    This field is not currently hydrated for REALPAGE

    gender_rawstring | nullnullablerequired

    The raw value for the gender of the lead pet

    Notice

    This field is not currently hydrated for REALPAGE

    is_fixedboolean | nullnullablerequired

    Whether the lead pet is fixed

    Notice

    This field is not currently hydrated for REALPAGE

    is_service_animalboolean | nullnullablerequired

    Whether the lead pet is a service animal

    Notice

    This field is not currently hydrated for REALPAGE

    namestring | nullnullablerequired

    The name associated with the lead pet

    Notice

    This field is not currently hydrated for REALPAGE

    notesstring | nullnullablerequired

    Notes associated with the lead pet

    Notice

    This field is not currently hydrated for REALPAGE

    typestring | nullnullablerequired

    The type associated with the lead pet

    Notice

    This field is not currently hydrated for REALPAGE

    weight_in_poundsnumber | nullnullablerequired

    The weight in pounds of the lead pet

    Notice

    This field is not currently hydrated for REALPAGE

    custom_data object | nullrequired
    object
  • ]
  • phone_1_typestring | nullnullablerequired

    Type of the primary phone number

    InterfaceMethod
    Prospect Management ODEProspectSearch
    Example: MOBILE
    phone_1string | nullnullablerequired

    Primary phone number associated with the lead

    InterfaceMethod
    Prospect Management ODEProspectSearch
    Example: 5125550142
    phone_2_typestring | nullnullablerequired

    Type of the secondary phone number

    InterfaceMethod
    Prospect Management ODEProspectSearch
    Example: HOME
    phone_2string | nullnullablerequired

    Secondary phone number associated with the lead

    InterfaceMethod
    Prospect Management ODEProspectSearch
    Example: 5125550198
    statenullrequired

    The state associated with the lead

    Notice

    This field will always be null for REALPAGE

    Example: null
    statusnullrequired

    The raw status associated with the lead

    Notice

    This field will always be null for REALPAGE

    Example: null
    target_move_in_datestring | nullnullablerequired

    The target move in date

    InterfaceMethod
    Prospect Management ODEProspectSearch
    Example: 2024-07-01T00:00:00.000Z
    zipnullrequired

    The zip code associated with the lead

    Notice

    This field will always be null for REALPAGE

    Example: null
    property_idstringrequired

    The Propexo unique identifier for the property

    Example: clwi5xiix000008l6ctdgafyh
    lead_source_idnullrequired

    The Propexo unique identifier for the lead source

    Notice

    This field will always be null for REALPAGE

    Example: null
    unit_id_preferrednullrequired

    The Propexo unique identifiers for the units that the lead is interested in

    Notice

    This field will always be null for REALPAGE

    Example: null
    integration_idstringrequired

    The Propexo unique identifier for the integration

    Example: clwh5u07w000508me66sfh3um
    integration_vendorEnum19required

    The property management system of record

    Show 13 enum values
    REALPAGEAPPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_REST
    Example: REALPAGE
    screenings object[]required
  • Array [
  • idstringrequired

    The Propexo ID of the screening

    Example: clwktsp9v000008l31iv218hn
    created_atstringrequired

    The date record first entered Propexo

    Example: 2024-03-21T15:38:08.337Z
    last_seenstringrequired

    The date the record was last seen from the PMS

    Example: 2024-03-22T10:59:45.119Z
    x_idstringrequired

    The external ID from the integration vendor

    InterfaceMethod
    Prospect Management ODEProspectSearch
    Example: cref6abl6zo5n63qqy2ey3ptn
    status_rawstring | nullnullablerequired

    The status/results of the screening

    InterfaceMethod
    Prospect Management ODEProspectSearch
    Example: Approved
    screening_datenullrequired

    The date the screening took place

    Notice

    This field will always be null for REALPAGE

    Example: null
  • ]

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
GET /v1/leads/:id
curl https://api.propexo.com/v1/leads/:id \
-H "Authorization: Bearer <token>"
200 Successful response
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": {
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_created_at": "2024-05-01T15:30:00.000Z",
"x_guestcard_id": "50001",
"x_id": "c2xd41yifq0xgzalzmc0pxknx",
"x_leasing_agent_id": "60001",
"x_property_id": "1000001",
"x_unit_id_preferred": null,
"x_updated_at": null,
"x_lead_source_id": null,
"address_1": null,
"address_2": null,
"city": null,
"country": null,
"custom_data": "Unknown Type: object,null",
"date_of_birth": null,
"desired_amenities": null,
"desired_floor_plan_id": "1",
"desired_floor_plan_name": null,
"desired_lease_term_in_months": "12",
"desired_max_rent_in_cents": 180000,
"desired_max_square_ft": null,
"desired_min_rent_in_cents": 150000,
"desired_min_square_ft": null,
"desired_num_bathrooms": null,
"desired_num_bedrooms": null,
"desired_unit_number": null,
"desired_unit_type": null,
"email_1": "[email protected]",
"email_2": null,
"first_name": "Jordan",
"ils": null,
"last_name": "Hale",
"lead_source": "Apartments.com",
"leasing_agent": null,
"middle_name": "A",
"notes": null,
"number_of_occupants": 2,
"pets": [
{
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "string",
"age_in_years": 0,
"breed": "string",
"color": "string",
"gender_raw": "string",
"is_fixed": true,
"is_service_animal": true,
"name": "string",
"notes": "string",
"type": "string",
"weight_in_pounds": 0,
"custom_data": "Unknown Type: object,null"
}
],
"phone_1_type": "MOBILE",
"phone_1": "5125550142",
"phone_2_type": "HOME",
"phone_2": "5125550198",
"state": null,
"status": null,
"target_move_in_date": "2024-07-01T00:00:00.000Z",
"zip": null,
"property_id": "clwi5xiix000008l6ctdgafyh",
"lead_source_id": null,
"unit_id_preferred": null,
"integration_id": "clwh5u07w000508me66sfh3um",
"integration_vendor": "REALPAGE",
"screenings": [
{
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "cref6abl6zo5n63qqy2ey3ptn",
"status_raw": "Approved",
"screening_date": null
}
]
}
}